# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
BF_ENC = @BF_ENC@
BN_MULW = @BN_MULW@
CC = @CC@
CPP = @CPP@
DES_ENC = @DES_ENC@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
VERSION = @VERSION@

noinst_LIBRARIES=libasn1.a
EXTRA_PROGRAMS=test pk
INCLUDES=-I$(top_srcdir)/crypto

libasn1_a_SOURCES=a_object.c a_bitstr.c a_utctm.c a_int.c a_octet.c a_print.c \
	a_type.c a_set.c a_dup.c a_d2i_fp.c a_i2d_fp.c \
	a_sign.c a_digest.c a_verify.c \
	x_algor.c x_val.c x_pubkey.c x_sig.c x_req.c x_attrib.c \
	x_name.c x_cinf.c x_x509.c x_crl.c x_info.c x_spki.c \
	d2i_r_pr.c i2d_r_pr.c d2i_r_pu.c i2d_r_pu.c \
	d2i_s_pr.c i2d_s_pr.c d2i_s_pu.c i2d_s_pu.c \
	d2i_pu.c d2i_pr.c i2d_pu.c i2d_pr.c\
	t_req.c t_x509.c t_pkey.c \
	p7_i_s.c p7_signi.c p7_signd.c p7_recip.c p7_enc_c.c p7_evp.c \
	p7_dgst.c p7_s_e.c p7_enc.c p7_lib.c \
	f_int.c f_string.c i2d_dhp.c i2d_dsap.c d2i_dhp.c d2i_dsap.c n_pkey.c \
	a_hdr.c x_pkey.c a_bool.c x_exten.c \
	asn1_par.c asn1_lib.c asn1_err.c a_meth.c a_bytes.c

test_SOURCES=test.c
test_LDADD=-lcrypto
test_LDFLAGS=-L$(top_builddir)/crypto
test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

pk_SOURCES=pk.c
pk_LDADD=-lcrypto
pk_LDFLAGS=-L$(top_builddir)/crypto
pk_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl asn1.err asn1.h asn1_mac.h pkcs8.c
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libasn1_a_LIBADD = 
libasn1_a_OBJECTS =  a_object.o a_bitstr.o a_utctm.o a_int.o a_octet.o \
a_print.o a_type.o a_set.o a_dup.o a_d2i_fp.o a_i2d_fp.o a_sign.o \
a_digest.o a_verify.o x_algor.o x_val.o x_pubkey.o x_sig.o x_req.o \
x_attrib.o x_name.o x_cinf.o x_x509.o x_crl.o x_info.o x_spki.o \
d2i_r_pr.o i2d_r_pr.o d2i_r_pu.o i2d_r_pu.o d2i_s_pr.o i2d_s_pr.o \
d2i_s_pu.o i2d_s_pu.o d2i_pu.o d2i_pr.o i2d_pu.o i2d_pr.o t_req.o \
t_x509.o t_pkey.o p7_i_s.o p7_signi.o p7_signd.o p7_recip.o p7_enc_c.o \
p7_evp.o p7_dgst.o p7_s_e.o p7_enc.o p7_lib.o f_int.o f_string.o \
i2d_dhp.o i2d_dsap.o d2i_dhp.o d2i_dsap.o n_pkey.o a_hdr.o x_pkey.o \
a_bool.o x_exten.o asn1_par.o asn1_lib.o asn1_err.o a_meth.o a_bytes.o
AR = ar
test_OBJECTS =  test.o
pk_OBJECTS =  pk.o
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP = --best
SOURCES = $(libasn1_a_SOURCES) $(test_SOURCES) $(pk_SOURCES)
OBJECTS = $(libasn1_a_OBJECTS) $(test_OBJECTS) $(pk_OBJECTS)

all: Makefile $(LIBRARIES)

.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps crypto/asn1/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libasn1.a: $(libasn1_a_OBJECTS) $(libasn1_a_DEPENDENCIES)
	-rm -f libasn1.a
	$(AR) cru libasn1.a $(libasn1_a_OBJECTS) $(libasn1_a_LIBADD)
	$(RANLIB) libasn1.a

test: $(test_OBJECTS) $(test_DEPENDENCIES)
	@rm -f test
	$(LINK) $(test_LDFLAGS) $(test_OBJECTS) $(test_LDADD) $(LIBS)

pk: $(pk_OBJECTS) $(pk_DEPENDENCIES)
	@rm -f pk
	$(LINK) $(pk_LDFLAGS) $(pk_OBJECTS) $(pk_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = crypto/asn1

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
a_bitstr.o: a_bitstr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h
a_bool.o: a_bool.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h
a_bytes.o: a_bytes.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
a_d2i_fp.o: a_d2i_fp.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h asn1_mac.h asn1.h \
	../../include/bn.h ../../include/stack.h ../../include/x509.h \
	../../include/asn1.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
a_digest.o: a_digest.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h ../../include/x509.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h ../../include/buffer.h
a_dup.o: a_dup.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
a_hdr.o: a_hdr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
a_i2d_fp.o: a_i2d_fp.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h asn1_mac.h asn1.h \
	../../include/bn.h ../../include/stack.h ../../include/x509.h \
	../../include/asn1.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
a_int.o: a_int.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h
a_meth.o: a_meth.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/x509.h ../../include/stack.h ../../include/asn1.h \
	../../include/bn.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
a_object.o: a_object.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h asn1.h \
	../../include/bn.h ../../include/stack.h \
	../../include/objects.h ../../include/asn1.h
a_octet.o: a_octet.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h
a_print.o: a_print.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h
a_set.o: a_set.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
a_sign.o: a_sign.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/objects.h ../../include/asn1.h \
	../../include/stack.h ../../include/x509.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h ../../include/buffer.h ../../include/pem.h
a_type.o: a_type.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
a_utctm.o: a_utctm.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h
a_verify.o: a_verify.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/x509.h \
	../../include/stack.h ../../include/asn1.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h ../../include/buffer.h ../../include/pem.h
asn1_err.o: asn1_err.c ../../config.h ../../include/err.h asn1.h \
	../../include/bn.h ../../include/stack.h
asn1_lib.o: asn1_lib.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1.h ../../include/bn.h \
	../../include/stack.h asn1_mac.h ../../include/x509.h \
	../../include/asn1.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
asn1_par.o: asn1_par.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/objects.h ../../include/asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
d2i_dhp.o: d2i_dhp.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/dh.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/rsa.h ../../include/dsa.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
d2i_dsap.o: d2i_dsap.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/dsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/rsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
d2i_pr.o: d2i_pr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/objects.h ../../include/asn1.h \
	../../include/stack.h ../../include/x509.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
d2i_pu.o: d2i_pu.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/objects.h ../../include/asn1.h \
	../../include/stack.h ../../include/x509.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
d2i_r_pr.o: d2i_r_pr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/rsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
d2i_r_pu.o: d2i_r_pu.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/rsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
d2i_s_pr.o: d2i_s_pr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/dsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/rsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
d2i_s_pu.o: d2i_s_pu.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/dsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/rsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
f_int.o: f_int.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/x509.h ../../include/stack.h ../../include/asn1.h \
	../../include/bn.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
f_string.o: f_string.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/x509.h ../../include/stack.h ../../include/asn1.h \
	../../include/bn.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/objects.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
i2d_dhp.o: i2d_dhp.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h asn1_mac.h asn1.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
i2d_dsap.o: i2d_dsap.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h asn1_mac.h asn1.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
i2d_pr.o: i2d_pr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/objects.h ../../include/asn1.h \
	../../include/stack.h
i2d_pu.o: i2d_pu.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/dsa.h \
	../../include/dh.h ../../include/objects.h ../../include/asn1.h \
	../../include/stack.h
i2d_r_pr.o: i2d_r_pr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/rsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
i2d_r_pu.o: i2d_r_pu.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/rsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
i2d_s_pr.o: i2d_s_pr.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/dsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/rsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
i2d_s_pu.o: i2d_s_pu.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/bn.h ../../include/dsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/rsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
n_pkey.o: n_pkey.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/rsa.h ../../include/bn.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h asn1_mac.h asn1.h ../../include/x509.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_dgst.o: p7_dgst.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_enc.o: p7_enc.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_enc_c.o: p7_enc_c.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_evp.o: p7_evp.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_i_s.o: p7_i_s.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_lib.o: p7_lib.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_recip.o: p7_recip.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_s_e.o: p7_s_e.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_signd.o: p7_signd.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
p7_signi.o: p7_signi.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
t_pkey.o: t_pkey.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/bn.h ../../include/rsa.h ../../include/dh.h \
	../../include/dsa.h
t_req.o: t_req.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/bn.h ../../include/objects.h ../../include/asn1.h \
	../../include/stack.h ../../include/x509.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
t_x509.o: t_x509.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/buffer.h \
	../../include/bn.h ../../include/rsa.h ../../include/dsa.h \
	../../include/objects.h ../../include/asn1.h \
	../../include/stack.h ../../include/x509.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/x509_vfy.h ../../include/pkcs7.h \
	../../include/bio.h
x_algor.o: x_algor.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_attrib.o: x_attrib.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/objects.h \
	../../include/asn1.h ../../include/bn.h ../../include/stack.h \
	asn1_mac.h asn1.h ../../include/x509.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_cinf.o: x_cinf.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_crl.o: x_crl.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_exten.o: x_exten.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/objects.h \
	../../include/asn1.h ../../include/bn.h ../../include/stack.h \
	asn1_mac.h asn1.h ../../include/x509.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_info.o: x_info.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h asn1_mac.h asn1.h \
	../../include/x509.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_name.o: x_name.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/objects.h \
	../../include/asn1.h ../../include/bn.h ../../include/stack.h \
	asn1_mac.h asn1.h ../../include/x509.h ../../include/rsa.h \
	../../include/dsa.h ../../include/dh.h ../../include/evp.h \
	../../include/md2.h ../../include/md5.h ../../include/sha.h \
	../../include/des.h ../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_pkey.o: x_pkey.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h asn1_mac.h asn1.h \
	../../include/x509.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_pubkey.o: x_pubkey.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_req.o: x_req.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_sig.o: x_sig.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_spki.o: x_spki.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/x509.h \
	../../include/stack.h ../../include/asn1.h ../../include/bn.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h asn1_mac.h asn1.h
x_val.o: x_val.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h asn1_mac.h asn1.h ../../include/bn.h \
	../../include/stack.h ../../include/x509.h ../../include/asn1.h \
	../../include/rsa.h ../../include/dsa.h ../../include/dh.h \
	../../include/evp.h ../../include/md2.h ../../include/md5.h \
	../../include/sha.h ../../include/des.h ../../include/rc4.h \
	../../include/rc2.h ../../include/blowfish.h \
	../../include/idea.h ../../include/mdc2.h \
	../../include/objects.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h
x_x509.o: x_x509.c ../../config.h ../../crypto/cryptlib.h \
	../../crypto/../e_os.h ../../crypto/crypto.h \
	../../crypto/buffer/buffer.h ../../crypto/bio/bio.h \
	../../crypto/err/err.h ../../include/evp.h ../../include/md2.h \
	../../include/md5.h ../../include/sha.h ../../include/des.h \
	../../include/rc4.h ../../include/rc2.h \
	../../include/blowfish.h ../../include/idea.h \
	../../include/mdc2.h ../../include/rsa.h ../../include/bn.h \
	../../include/dsa.h ../../include/dh.h ../../include/objects.h \
	../../include/asn1.h ../../include/stack.h asn1_mac.h asn1.h \
	../../include/x509.h ../../include/x509_vfy.h \
	../../include/pkcs7.h ../../include/bio.h

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-noinstLIBRARIES distclean-compile distclean-tags \
		distclean-generic clean
	-rm -f config.status

maintainer-clean:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info dvi installcheck \
install-exec install-data install uninstall all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a

errors asn1.h asn1_err.c: asn1.err
	perl $(top_srcdir)/util/err-ins.pl asn1.err asn1.h
	perl $(top_srcdir)/crypto/err/err_genc.pl asn1.h asn1_err.c

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
